2019-01-22 02:57 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002190NetSurf[All Projects] Generalpublic2015-03-10 23:45
ReporterHarriet Bazley 
Assigned ToMichael Drake 
SeverityminorReproducibilityalways 
StatusclosedResolutionfixed 
PlatformARMOSRISC OSOS Version5.19
Product Version3.2 
Target Version3.2Fixed in Version3.3 
Summary0002190: Text box does not redraw when scroll of last line caused by edit higher up
DescriptionThis redraw issue may well be related to issue 2189: however I *can* demonstrate it on the Mantis bug reporter text boxes.

Adding extra text such that the content of the text box exceeds the previous capacity of the display causes extra offscreen lines to be created without adjusting the scrollbar so that it is possible to reach them - and using key shortcuts to jump to the new bottom of the text fails to redraw the window to reflect the actual contents at that point.
Steps To ReproduceType sufficient text to fill all the lines in the text box, such that a scrollbar appears. (Image5)

Then edit the text by adding extra words such that the final line of the text box content wraps down onto the next line. (Image6)

There is now no way to scroll the text down to view this new final line. The scrollbar remains at the bottom of the well, and clicking on its down arrow has no effect. Neither does forcing a redraw by dragging a menu over the window.
However, if you place the cursor at the end of the visible text and press the right arrow key, it will wrap around to the start of the new line, and the whole contents of the window will scroll up without actually redrawing: if you now start typing your new text will appear in the middle of whatever text had invisibly wrapped round, and the bottom two lines of the textbox will be redrawn to reflect the actual content (giving the appearance that several lines of intervening text have gone missing!)

Here, I placed the cursor at the 'end' of the text seen in Image6 and typed a letter H, which appeared before the text at the start of the new line (Image7)
Dragging a window partially over the text box demonstrates corrupted text from the partial redraw. (Image8)
TagsNo tags attached.
Fixed in CI build #2117
Reported in CI build #2021
URL of problem page
Attached Files

-Relationships
+Relationships

-Notes
Vincent Sanders

~0000763

Vincent Sanders (administrator)

Confirmed fixed in 3.3 release
+Notes

-Issue History
Date Modified Username Field Change
2014-09-02 00:21 Harriet Bazley New Issue
2014-09-02 00:21 Harriet Bazley File Added: lastline.zip
2014-09-02 10:09 Vincent Sanders Assigned To => Michael Drake
2014-09-02 10:09 Vincent Sanders Status new => acknowledged
2014-09-02 10:09 Vincent Sanders Category RISC OS-specific => General
2014-09-02 10:09 Vincent Sanders Description Updated View Revisions
2014-09-02 10:09 Vincent Sanders Steps to Reproduce Updated View Revisions
2014-09-19 11:54 Michael Drake Fixed in CI build # => 2117
2014-09-19 11:54 Michael Drake Status acknowledged => resolved
2014-09-19 11:54 Michael Drake Resolution open => fixed
2014-09-19 11:54 Michael Drake Fixed in Version => 3.2
2014-09-19 11:54 Michael Drake Target Version => 3.2
2014-09-19 13:18 Vincent Sanders Fixed in Version 3.2 => 3.3
2015-03-10 23:45 Vincent Sanders Note Added: 0000763
2015-03-10 23:45 Vincent Sanders Status resolved => closed
+Issue History